Package com.arms.egovframework.javaservice.treeframework.errors.response

## Class ErrorControllerAdvice

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.errors.response.ErrorControllerAdvice

-     @ControllerAdvice
      public class ErrorControllerAdvice
      extends java.lang.Object

  CommonControllerAdvice의 설명을 여기에 작성한다.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ErrorControllerAdvice()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `bindException​(org.springframework.validation.BindException e)` |
    `org.springframework.http.ResponseEntity<?>` | `methodArgumentNotValidException​(org.springframework.web.bind.MethodArgumentNotValidException e)` | http status: 400 AND result: FAIL request parameter 에러
    `org.springframework.http.ResponseEntity<?>` | `onBaseException​(BaseException e)` | http status: 200 AND result: FAIL 시스템은 이슈 없고, 비즈니스 로직 처리에서 에러가 발생함
    `org.springframework.http.ResponseEntity<CommonResponse.ApiResult<?>>` | `onException​(java.lang.Exception e)` | http status: 500 AND result: FAIL 시스템 예외 상황.
    `org.springframework.http.ResponseEntity<?>` | `skipException​(java.lang.Exception e)` | 예상치 않은 Exception 중에서 모니터링 skip 이 가능한 Exception 을 처리할 때 ex) ClientAbortException

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorControllerAdvice

          public ErrorControllerAdvice()

  - ### Method Detail

    - #### onException

          @ExceptionHandler(java.lang.Exception.class)
          public org.springframework.http.ResponseEntity<CommonResponse.ApiResult<?>> onException​(java.lang.Exception e)

      http status: 500 AND result: FAIL 시스템 예외 상황. 집중 모니터링 대상

    - #### onBaseException

          @ExceptionHandler(BaseException.class)
          public org.springframework.http.ResponseEntity<?> onBaseException​(BaseException e)

      http status: 200 AND result: FAIL 시스템은 이슈 없고, 비즈니스 로직 처리에서 에러가 발생함

    - #### skipException

          @ExceptionHandler(org.apache.catalina.connector.ClientAbortException.class)
          public org.springframework.http.ResponseEntity<?> skipException​(java.lang.Exception e)

      예상치 않은 Exception 중에서 모니터링 skip 이 가능한 Exception 을 처리할 때 ex) ClientAbortException

    - #### methodArgumentNotValidException

          @ExceptionHandler(org.springframework.web.bind.MethodArgumentNotValidException.class)
          public org.springframework.http.ResponseEntity<?> methodArgumentNotValidException​(org.springframework.web.bind.MethodArgumentNotValidException e)

      http status: 400 AND result: FAIL request parameter 에러

    - #### bindException

          @ExceptionHandler(org.springframework.validation.BindException.class)
          public org.springframework.http.ResponseEntity<?> bindException​(org.springframework.validation.BindException e)